xdc.loadCapsule('xdc/om2.xs');

var $om = xdc.om;
var __CFG__ = $om.$name == 'cfg';
var __ROV__ = $om.$name == 'rov';
var $$pkgspec = xdc.$$ses.findPkg('tci6484');

/* ======== IMPORTS ======== */

    xdc.loadPackage('xdc');
    xdc.loadPackage('xdc.corevers');
    xdc.loadPackage('xdc.runtime');

/* ======== OBJECTS ======== */

// package tci6484
    var pkg = $om.$$bind('tci6484.Package', $$PObj());
    $om.$$bind('tci6484', $$VObj('tci6484', pkg));
// module Settings
    var po = $om.$$bind('tci6484.Settings.Module', $$PObj());
    var vo = $om.$$bind('tci6484.Settings', $$VObj('tci6484.Settings', po));
    pkg.$$bind('Settings', vo);

/* ======== CONSTS ======== */

// module Settings

/* ======== CREATES ======== */

// module Settings

/* ======== FUNCTIONS ======== */


/* ======== SIZES ======== */

// module Settings

/* ======== TYPES ======== */

// module Settings
    var po = $om['tci6484.Settings.Module'].$$init('tci6484.Settings.Module', $om['xdc.runtime.IModule.Module']);
        po.$$fld('$hostonly', $$T_Num, 0, 'r');
if (__CFG__) {
        po.$$fld('nspVersionString', $$T_Str, "2.00.00", 'w');
} // __CFG__

/* ======== ROV ======== */

if (__ROV__) {

// module Settings
    var mod = $om['tci6484.Settings'];
    mod.$$bind('$scanHandle', function(iaddr) {
        return Program._decoder.scanInst($om['tci6484.Settings'], iaddr);
    });
    mod.$$bind('$scanObject', function(iobj) {
        Program._decoder.scanObj($om['tci6484.Settings'], iobj);
    });

} // __ROV__

/* ======== SINGLETONS ======== */

// package tci6484
    var po = $om['tci6484.Package'].$$init('tci6484.Package', $om['xdc.IPackage.Module']);
    po.$$bind('$capsule', undefined);
    var pkg = $om['tci6484'].$$init(po, 'tci6484', $$DEFAULT, false);
    $om.$packages.$add(pkg);
    pkg.$$bind('$name', 'tci6484');
    pkg.$$bind('$category', 'Package');
    pkg.$$bind('$$qn', 'tci6484.');
    pkg.$$bind('$spec', $$pkgspec);
    pkg.$$bind('$vers', [2, 00, 00]);
    pkg.$attr.$seal('length');
    pkg.$$bind('$imports', [
    ]);
    if (pkg.$vers.length >= 3) {
        pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
    }
    
    pkg.build.libraries = [
        './ti/ndk/lib/hal/tci6484/hal_eth_c6484.lib',
        './ti/ndk/lib/hal/tci6484/hal_eth_c6484e.lib',
    ];
    
    pkg.build.libDesc = [
        [
            './ti/ndk/lib/hal/tci6484/hal_eth_c6484.lib',
            {
                target: 'ti.targets.C64P'
            }
        ],
        [
            './ti/ndk/lib/hal/tci6484/hal_eth_c6484e.lib',
            {
                target: 'ti.targets.C64P_big_endian'
            }
        ],
    ];
// module Settings
    var vo = $om['tci6484.Settings'];
    var po = $om['tci6484.Settings.Module'];
    vo.$$init(po, 'tci6484.Settings', $$DEFAULT, false);
    vo.$$bind('Module', po);
    vo.$$bind('$category', 'Module');
    vo.$$bind('$spec', xdc.$$ses.findUnit('tci6484.Settings'));
    vo.$$bind('$capsule', undefined);
    vo.$$bind('$package', $om['tci6484']);
    vo.$$bind('$$tdefs', []);
    vo.$$bind('$$proxies', []);
    vo.$$bind('$$mcfgs', []);
    vo.$$mcfgs.push('Module__diagsEnabled');
    vo.$$mcfgs.push('Module__diagsIncluded');
    vo.$$mcfgs.push('Module__diagsMask');
    vo.$$mcfgs.push('Module__gateObj');
    vo.$$mcfgs.push('Module__gatePrms');
    vo.$$mcfgs.push('Module__id');
    vo.$$mcfgs.push('Module__loggerDefined');
    vo.$$mcfgs.push('Module__loggerObj');
    vo.$$mcfgs.push('Module__loggerFxn4');
    vo.$$mcfgs.push('Module__loggerFxn8');
    vo.$$mcfgs.push('Module__startupDoneFxn');
    vo.$$mcfgs.push('Object__count');
    vo.$$mcfgs.push('Object__heap');
    vo.$$mcfgs.push('Object__sizeof');
    vo.$$mcfgs.push('Object__table');
    vo.$$mcfgs.push('nspVersionString');
    pkg.$modules.$add(vo);
    $om.$modules.$add(vo);
    vo.$$bind('$$instflag', 0);
    vo.$$bind('$$iobjflag', 0);
    vo.$$bind('$$sizeflag', 1);
    vo.$$bind('$$dlgflag', 0);
    vo.$$bind('$$iflag', 0);
    vo.$$bind('$$romcfgs', '');
if (__CFG__) {
    if ('Module_State' in vo) vo.$$bind('$object', new vo.Module_State);
    vo.$$bind('$$meta_iobj', 1);
} // __CFG__
    vo.$$bind('$$fxntab', ['tci6484_Settings_Handle__label__E','tci6484_Settings_Module__startupDone__E','tci6484_Settings_Object__create__E','tci6484_Settings_Object__delete__E','tci6484_Settings_Object__destruct__E','tci6484_Settings_Object__get__E','tci6484_Settings_Params__init__E','tci6484_Settings_Proxy__abstract__E','tci6484_Settings_Proxy__delegate__E',]);
    vo.$$bind('$$logEvtCfgs', []);
    vo.$$bind('$$errorDescCfgs', []);
    vo.$$bind('$$assertDescCfgs', []);
    vo.$attr.$seal('length');
    vo.$$bind('MODULE_STARTUP$', 0);
    vo.$$bind('PROXY$', 0);
    vo.$$bind('$$loggables', [
    ]);
    pkg.$$bind('Settings', vo);
    pkg.$unitNames.$add('Settings');

/* ======== INITIALIZATION ======== */

if (__CFG__) {
} // __CFG__
    $om['tci6484.Settings'].module$meta$init();
    pkg.init();
    $om['tci6484.Settings'].$$bless();
